/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Interfaces;

import java.awt.event.ActionListener;
import java.awt.event.ItemEvent;
import javax.swing.JComboBox;
import javax.swing.JOptionPane;
import reservabuses.Bus;
import reservabuses.Conductor;
import reservabuses.EmpresaTuristica;
import reservabuses.Pasajero;
import reservabuses.Persona;
import reservabuses.Reserva;

/**
 *
 * @author juaco
 */
public class ReservarGui extends javax.swing.JFrame {
    int contador;
    Pasajero listaPasajeros[];
    Conductor listaConductores[];
    EmpresaTuristica listaEmpresas[];
    PasajeroGui pasajeroForm;
    ConductorGui conductorForm;
    EmpresaGui empresaForm;
    Reserva[] reserva;
    Persona [][] asientos;

    /**
     * Creates new form Reservar
     */
    public ReservarGui() {
        initComponents();
        pasajeroForm = new PasajeroGui();
        conductorForm = new ConductorGui();
        empresaForm = new  EmpresaGui();
        reserva = new Reserva[50];
        asientos = new Persona [20][4];
        contador = 0;
    }
   
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTextField1 = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        comboPasajeros = new javax.swing.JComboBox<>();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        btnReserva = new javax.swing.JButton();
        btnCancelar = new javax.swing.JButton();
        btnBuscar = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        comboBuss = new javax.swing.JComboBox<>();
        comboSalida = new javax.swing.JComboBox<>();
        comboDestino = new javax.swing.JComboBox<>();
        txtNit = new javax.swing.JTextField();
        txtDireccion = new javax.swing.JTextField();
        txtTelefono = new javax.swing.JTextField();
        txtNombreEmp = new javax.swing.JTextField();
        txtConductor = new javax.swing.JTextField();

        jTextField1.setText("jTextField1");

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel1.setText("RESERVAS");

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel2.setText("Pasajero");

        comboPasajeros.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                comboPasajerosActionPerformed(evt);
            }
        });

        jLabel3.setText("Empresa");

        jLabel4.setText("Nit ");

        jLabel5.setText("Direccion");

        jLabel6.setText("Telefono");

        btnReserva.setText("Reservar");
        btnReserva.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnReservaActionPerformed(evt);
            }
        });

        btnCancelar.setText("Cancerla reserva");
        btnCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCancelarActionPerformed(evt);
            }
        });

        btnBuscar.setText("Busacar reserva");
        btnBuscar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnBuscarActionPerformed(evt);
            }
        });

        jLabel8.setText("Destino");

        jLabel9.setText("Conductor");

        jLabel10.setText("Buss");

        jLabel11.setText("Salida");

        comboBuss.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                comboBussActionPerformed(evt);
            }
        });

        comboSalida.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Manizales", "Anserma", "Pereira", "Medellin" }));

        comboDestino.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Anserma", "Manizalez", "Pereira", "Medellin", " " }));

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(145, 145, 145)
                        .addComponent(jLabel3)
                        .addGap(18, 18, 18)
                        .addComponent(txtNombreEmp, javax.swing.GroupLayout.PREFERRED_SIZE, 229, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(251, 251, 251)
                        .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 115, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(33, 33, 33)
                                .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 83, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(comboDestino, 0, 180, Short.MAX_VALUE)
                                    .addComponent(comboPasajeros, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                .addGap(9, 9, 9))
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                                .addComponent(btnCancelar)
                                .addGap(21, 21, 21)))
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(11, 11, 11)
                                .addComponent(btnBuscar))
                            .addGroup(layout.createSequentialGroup()
                                .addGap(49, 49, 49)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel10)
                                    .addComponent(jLabel9)
                                    .addComponent(jLabel11))
                                .addGap(14, 14, 14)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                    .addComponent(comboSalida, javax.swing.GroupLayout.Alignment.LEADING, 0, 181, Short.MAX_VALUE)
                                    .addComponent(comboBuss, javax.swing.GroupLayout.Alignment.LEADING, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .addComponent(txtConductor, javax.swing.GroupLayout.Alignment.LEADING)))))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(85, 85, 85)
                        .addComponent(jLabel4)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(txtNit, javax.swing.GroupLayout.PREFERRED_SIZE, 97, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(19, 19, 19)
                        .addComponent(jLabel5)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(txtDireccion, javax.swing.GroupLayout.PREFERRED_SIZE, 97, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(11, 11, 11)
                        .addComponent(jLabel6)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(txtTelefono, javax.swing.GroupLayout.PREFERRED_SIZE, 97, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(20, Short.MAX_VALUE))
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(49, 49, 49)
                        .addComponent(jLabel8))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(258, 258, 258)
                        .addComponent(btnReserva)))
                .addGap(0, 0, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(25, 25, 25)
                .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(21, 21, 21)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel3)
                    .addComponent(txtNombreEmp, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(14, 14, 14)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel4)
                    .addComponent(jLabel5)
                    .addComponent(jLabel6)
                    .addComponent(txtNit, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(txtDireccion, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(txtTelefono, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(31, 31, 31)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 27, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(comboPasajeros, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel10)
                    .addComponent(comboBuss, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel9)
                    .addComponent(txtConductor, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel8)
                    .addComponent(jLabel11)
                    .addComponent(comboSalida, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(comboDestino, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 42, Short.MAX_VALUE)
                .addComponent(btnReserva)
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(btnCancelar)
                    .addComponent(btnBuscar))
                .addGap(28, 28, 28))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
//    public void setPasajeros(Pasajero[] pasajeros) {
//        listaPasajeros = pasajeros;
//    }

    public JComboBox getComboPasajeros(Persona[] personas) {
        for (Persona per : personas) {
            if (per instanceof Pasajero) {
                return comboPasajeros;
            }
           
        }
        return comboPasajeros;
    }
    
//    public JComboBox getComboConductores(Persona[] personas) {
//        for (Persona per : personas) {
//            if (per instanceof Conductor) {
//                return comboConductor;
//            }
//           
//        }
//        return comboConductor;
//    }
    
    public JComboBox getComboBus(Bus [] buses){
        for (Bus bus : buses) {
            if (bus instanceof Bus){
                return comboBuss;
            }
        }
        return comboBuss;
    }
    
    

    public void llenarComboPasajero(Persona personas[]) {
        comboPasajeros.removeAllItems();
        for (Persona per : personas) {
            if (per != null) 
                comboPasajeros.addItem(per.getNumeroDocumento()+ " "+per.getNombre()); 
        }

    }
    
//    public void llenarComboConductor(Persona personas[]) {
//        comboConductor.removeAllItems();
//        for (Persona per : personas) {
//            if (per != null) 
//                comboConductor.addItem(per.getNombre()+ " "+per.getApellido()); 
//        }
//
//    }
    
    
    public void llenarComboBus(Bus buses []) {
        comboBuss.removeAllItems();
        for (Bus bus : buses) {
            if (bus != null) 
                comboBuss.addItem(bus.getPlaca()); 
        }

    }
    
    
    
    
    
//    public void AgrCamposEmp(){
//
//        int position = comboEmpres.getSelectedIndex();
//        switch(position){
//            case 0:{
//            //-- se ha seleccionado el Index cero (1er valor) del ComboBox
//                txtNit.setText("hola");
//                txtDireccion.setText("calle");
//                txtTelefono.setText("123");
//            }break;
//
//            case 1:{
//            //-- se ha seleccionado el Index 1 (2do valor) del ComboBox
//                txtNit.setText("no");
//                txtDireccion.setText("no");
//                txtTelefono.setText("no");
//            }break;
//
//            default:{
//    //-- se ha seleccionado otro valor del ComboBox
//            } 
//        }
//    }
    
    private void btnReservaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnReservaActionPerformed
        // TODO add your handling code here:
        String NombreEmp = txtNombreEmp.getText();
        String Nit = txtNit.getText();
        String Direccion = txtDireccion.getText();
        String Telefono = txtTelefono.getText();
        String Pasajero = comboPasajeros.getSelectedItem().toString();
        //String Buss = comboBuss.getSelectedItem().toString();
        String Conductor = txtConductor.getText();
        String salida = comboSalida.getSelectedItem().toString();
        String Destino = comboDestino.getSelectedItem().toString();
        
        Reserva objReserva = new Reserva(salida, Destino, null, null, null, null);
        
        reserva [contador] = objReserva;
        contador++;
        JOptionPane.showMessageDialog(null, objReserva.toString());
        
    }//GEN-LAST:event_btnReservaActionPerformed

    private void btnCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCancelarActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnCancelarActionPerformed

    private void btnBuscarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnBuscarActionPerformed
         // TODO add your handling code here:
    }//GEN-LAST:event_btnBuscarActionPerformed

    private void comboPasajerosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_comboPasajerosActionPerformed
        // TODO add your handling code here:
//        int position = comboPasajeros.getSelectedIndex();
//        switch(position){
//            case 0:{
//            //-- se ha seleccionado el Index cero (1er valor) del ComboBox
//                txtDocumento.setText(comboPasajeros.getItemAt(0));
//            }break;
//
//            case 1:{
//            //-- se ha seleccionado el Index 1 (2do valor) del ComboBox
//                txtDocumento.setText(comboPasajeros.getItemAt(1));
//            }break;
//            case 2:{
//            //-- se ha seleccionado el Index 1 (2do valor) del ComboBox
//                txtDocumento.setText(comboPasajeros.getItemAt(2));
//            }break;
//            case 3:{
//            //-- se ha seleccionado el Index 1 (2do valor) del ComboBox
//                txtDocumento.setText(comboPasajeros.getItemAt(3));
//            }break;
//            case 4:{
//            //-- se ha seleccionado el Index 1 (2do valor) del ComboBox
//                txtDocumento.setText(comboPasajeros.getItemAt(4));
//            }break;
//            case 5:{
//            //-- se ha seleccionado el Index 1 (2do valor) del ComboBox
//                txtDocumento.setText(comboPasajeros.getItemAt(5));
//            }break;
//
//            default:{
//    //-- se ha seleccionado otro valor del ComboBox
//            } 
//        }
//        
    }//GEN-LAST:event_comboPasajerosActionPerformed

    private void comboBussActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_comboBussActionPerformed
        // TODO add your handling code here:
        int position = comboBuss.getSelectedIndex();
        switch (position) {
            case 0:{
//                txtConductor.setText(BusGui.);
            }break;
            case 1:{
            
            }break;
            case 2:{
            
            }break;
            case 3:{
            
            }break;
            case 4:{
            
            }break;
            
            default:
                throw new AssertionError();
        }
    }//GEN-LAST:event_comboBussActionPerformed

    

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(ReservarGui.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(ReservarGui.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(ReservarGui.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(ReservarGui.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new ReservarGui().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnBuscar;
    private javax.swing.JButton btnCancelar;
    private javax.swing.JButton btnReserva;
    public javax.swing.JComboBox<String> comboBuss;
    private javax.swing.JComboBox<String> comboDestino;
    public javax.swing.JComboBox<String> comboPasajeros;
    private javax.swing.JComboBox<String> comboSalida;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JTextField jTextField1;
    public static javax.swing.JTextField txtConductor;
    public static javax.swing.JTextField txtDireccion;
    public static javax.swing.JTextField txtNit;
    public static javax.swing.JTextField txtNombreEmp;
    public static javax.swing.JTextField txtTelefono;
    // End of variables declaration//GEN-END:variables
}
